Bug 1150474 - dnf group install broken for locale other than en_US
Summary: dnf group install broken for locale other than en_US
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Honza Silhan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-08 11:09 UTC by Martin Kolman
Modified: 2014-12-13 09:53 UTC (History)
6 users (show)

Fixed In Version: dnf-0.6.3-2.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-13 09:53:29 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Martin Kolman 2014-10-08 11:09:16 UTC
Description of problem:
Translated group names can't be used for group installation.

Version-Release number of selected component (if applicable):
0.6.2

How reproducible:
always


Steps to Reproduce:
1. export LANG=cs_CZ.UTF-8  
2. dnf group list
3. pick one of the groups, such as "Pracovní prostředí GNOME"
4. dnf group install "Pracovní prostředí GNOME"
Actual results:
Chyba: No relevant match for the specified 'Pracovní prostředí GNOME'.

Expected results:
The group can be installed.

Comment 1 Honza Silhan 2014-10-08 11:53:43 UTC
Hi, thanks for the report, we'll take a look.

Comment 2 Honza Silhan 2014-11-04 12:53:53 UTC
Fixed in the upstream.

Comment 3 Fedora Update System 2014-12-09 14:06:22 UTC
dnf-0.6.3-2.fc21,dnf-plugins-core-0.1.4-1.fc21,hawkey-0.5.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dnf-0.6.3-2.fc21,dnf-plugins-core-0.1.4-1.fc21,hawkey-0.5.2-1.fc21

Comment 4 Fedora Update System 2014-12-12 04:32:27 UTC
Package dnf-0.6.3-2.fc21, hawkey-0.5.2-1.fc21, dnf-plugins-core-0.1.4-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-0.6.3-2.fc21 hawkey-0.5.2-1.fc21 dnf-plugins-core-0.1.4-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-16760/dnf-0.6.3-2.fc21,dnf-plugins-core-0.1.4-1.fc21,hawkey-0.5.2-1.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-12-13 09:53:29 UTC
dnf-0.6.3-2.fc21, hawkey-0.5.2-1.fc21, dnf-plugins-core-0.1.4-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.